unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, Buttons;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    Button1: TButton;
    Image1: TImage;
    Image2: TImage;
    Label1: TLabel;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  Image1.Canvas.Brush.Color :=clGreen;
  Image1.Canvas.Pen.Color :=clGray;
  Image1.Canvas.ellipse(30, 60, 70, 100);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  Image2.Canvas.Pen.Width := 20;
  Image2.Canvas.Pen.Color := clRed;
  Image2.Canvas.MoveTo(100, 200);
  Image2.Canvas.LineTo(100, 50);
  Image2.Canvas.MoveTo(150, 100);
  Image2.Canvas.LineTo(50, 100);
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  Image1.Canvas.Pen.Width :=6;
  Image1.Canvas.Pen.Color :=clGray;
  Image1.Canvas.MoveTo (200, 130);
  Image1.Canvas.LineTo (50, 130);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Image1.Canvas.Brush.Color :=clBlue;
  Image1.Canvas.Pen.Color :=clYellow;
  Image1.Canvas.Rectangle(10, 10, 120, 60);
end;

procedure TForm1.Image2Click(Sender: TObject);
begin
  Image2.Canvas.Brush.Color := clBlack;
  Image2.Canvas.FillRect(Image2.ClientRect);
end;

procedure TForm1.Label1Click(Sender: TObject);
begin

end;


end.

